# Package org.eclipse.m2m.atl.engine.compiler

Interface Summary
AtlStandaloneCompiler: Eclipse-independent interface for ATL compilers.

Class Summary
Atl2004Compiler: The 2004 version of the ATL compiler.
AtlCompiler: The ATL compiler.
AtlDefaultCompiler: Default implementation of methods necessary for all ATL compilers.
CompileTimeError: Describes an error which has occurred when compiling an ATL script.

Exception Summary
CompilerNotFoundException: Compiler not found exception.